
//Clase para recoger todas las llamadas VME con LINCO
#include <iostream>
#include <stdio.h>
#include <stdlib.h>
#include <string>
#include <fstream>
#include <time.h>
#include <string>
#include <iomanip.h>

#include <libvme.h>

#include "interfazio.h"

class VMEDeviceLinco : InterfazIO {

  public:
    VMEDeviceLinco(VMEBus &vmeControl, int VMEBaseAddress);
    ~VMEDeviceLinco();

    void write(int offset, unsigned short valor);
    unsigned short read(int offset);

  private:
    VMEBus &vmeController;

    int VMEBaseAddress;

};


